"use strict";

const stringify = require("./stringify");
const parse = require("./parse");
const defaultConfig = {
	rules: [
		{
			test: /\.(?:[sx]?html?|[sx]ht|vue|ux|markdown|md|php)$/i,
			split: "html",
		},
		{
			test: /\.(?:markdown|md)$/i,
			split: "markdown",
		},
		{
			test: /\.(?:m?[jt]sx?|es\d*|pac)$/i,
			split: "styled",
		},
	],
};

function initSyntax (syntax) {
	syntax.stringify = stringify.bind(syntax);
	syntax.parse = parse.bind(syntax);
	return syntax;
}

function syntax (config) {
	return initSyntax({
		config: Object.assign({}, defaultConfig, config),
	});
}

initSyntax(syntax);
syntax.config = defaultConfig;
module.exports = syntax;
