"use strict";

const getSyntax = require("./get-syntax");
const extToLang = {
	styl: "stylus",
	sss: "sugarss",
};
function parser (source, opts) {
	let lang;
	if (opts.from && /\.(\w+)$/.test(opts.from)) {
		lang = RegExp.$1.toLowerCase();
		lang = extToLang[lang] || lang;
	} else {
		lang = "css";
	}
	const syntax = getSyntax(lang, opts);
	const root = syntax.parse(source, opts);

	Object.defineProperty(root.source, "syntax", {
		get: () => syntax,
	});
	return root;
}

module.exports = parser;
