"use strict";

const parseStyle = require("./parse-style");

function processor (source, opts) {
	const parsers = opts.syntax.config.rules.filter(
		loader => loader.test.test(opts.from || "")
	).map(loader => {
		if (typeof loader.split === "string") {
			loader.split = require(loader.split.toLowerCase().replace(/^(postcss-)?/i, "postcss-") + "/lib/parser");
		}
		return loader;
	});
	if (!parsers.length) {
		return;
	}
	const styles = parsers.reduce(
		(styles, loader) => {
			return loader.split(source, Object.assign({}, opts, loader.opts), styles) || styles;
		},
		[]
	);

	return parseStyle(source, opts, styles);
}

module.exports = processor;
